%define contentdir /var/www
%define mod_ssl_ver 2.8.12
%define piranha62 0
%define suexec_caller apache

Summary: The most widely used Web server on the Internet.
Name: apache
Version: 1.3.27
Release: 1.7.1
Group: System Environment/Daemons
Source: ftp://ftp.apache.org/apache/dist/apache_%{version}.tar.gz
Source2: spacer48.png
Source3: apache-index.html
Source4: poweredby.png
Source5: httpd.init
Source6: apache.logrotate
Source7: SSL-Certificate-Creation
Patch0: sslcfg.patch
Patch1: apache_1.3.23-config.patch
Patch2: apache_%{version}-eapi-%{mod_ssl_ver}.patch
Patch3: apache-1.3.11-apxs.patch
Patch4: apache_1.3.23-dbmdb.patch
Patch5: apache_1.3.14-mkstemp.patch
Patch6: apache_1.3.14-redhat.patch
Patch7: apache_1.3.20-apachectl-init.patch
Patch8: apache_1.3.27-db.patch
License: Apache Software License
BuildRoot: %{_tmppath}/apache-%{version}-root
BuildPrereq: db3-devel, expat-devel, findutils, mm-devel, openssl-devel, perl
Requires: /etc/mime.types, gawk, /usr/share/magic.mime, /usr/bin/find
Prereq: /sbin/chkconfig, /bin/mktemp, /bin/rm, /bin/mv, /bin/sed, mailcap, grep
Prereq: sh-utils, textutils, /usr/sbin/useradd
Provides: webserver
Conflicts: thttpd
Requires: mod_bandwidth, mod_put, mod_throttle

%description
Apache is a powerful, full-featured, efficient, and freely-available
Web server. Apache is also the most popular Web server on the
Internet.

%package devel
Group: Development/Libraries
Summary: Development tools for the Apache Web server.
Obsoletes: secureweb-devel
Provides: eapi = %{mod_ssl_ver}

%description devel
The apache-devel package contains the APXS binary and other files that
you need to build Dynamic Shared Objects (DSOs) for Apache.

If you are installing the Apache Web server and you want to be able to
compile or develop additional modules for Apache, you need to install
this package.

%package manual
Group: Documentation
Summary: Documentation for the Apache Web server.

%description manual
The apache-manual package contains the complete manual and reference
guide for the Apache Web server. The information can also be found on
the Web at http://www.apache.org/docs/.

%prep
%setup -q -n apache_%{version}
%patch0 -p0 -b .sslcfg
%patch1 -p1 -b .config
%patch2 -p1 -b .eapi-%{mod_ssl_ver}
%patch3 -p1 -b .apxs
%patch4 -p1 -b .db
%patch5 -p1 -b .mkstemp
%patch6 -p1 -b .redhat
%patch7 -p1 -b .apachectl-init
%patch8 -p1 -b .db
# Substitute values to match the configuration.  The first two are
# for the default httpd.conf file, the rest is for the mod_ssl
# additions.
sed -e 's,@@ServerRoot@@,%{_sysconfdir}/httpd,g' \
    -e 's,@@ContentRoot@@,%{contentdir},g' \
    -e 's,IfDefine SSL,IfDefine HAVE_SSL,g' \
    -e 's,^DocumentRoot "/etc/httpd/htdocs",#DocumentRoot "/etc/httpd/htdocs",g' \
    -e 's,^<Directory "/etc/httpd/cgi-bin">,<Directory "%{contentdir}/cgi-bin">,g' \
    -e 's,^ServerName new.host.name,#ServerName new.host.name,g' \
    -e 's,^ServerAdmin you@your.address,#ServerAdmin you@your.address,g' \
    -e 's,^SSLCipherSuite,#SSLCipherSuite,g' \
    -e 's,^SSLLogLevel info,SSLLogLevel error,g' \
    -e 's,^SSLSessionCache         dbm:logs/ssl_scache,SSLSessionCache         shm:logs/ssl_scache(512000),g' \
    conf/httpd.conf-dist > conf/httpd.conf

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC -DEAPI_MM_CORE_PATH='\"%{_localstatedir}/run/httpd.mm\"'" ; export CFLAGS
LIBS="-lpthread" ; export LIBS
EAPI_MM=SYSTEM; export EAPI_MM

./configure \
 	--prefix=%{_sysconfdir}/httpd \
 	--exec-prefix=%{_prefix} \
 	--bindir=%{_bindir} \
 	--sbindir=%{_sbindir} \
 	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir}/httpd/conf \
	--includedir=%{_includedir}/apache \
	--libexecdir=%{_libdir}/apache \
	--datadir=%{contentdir} \
	--iconsdir=%{contentdir}/icons \
	--htdocsdir=%{contentdir}/html \
	--manualdir=%{contentdir}/html/manual \
	--cgidir=%{contentdir}/cgi-bin \
 	--localstatedir=%{_localstatedir} \
	--runtimedir=%{_localstatedir}/run \
	--logfiledir=%{_localstatedir}/log/httpd \
	--proxycachedir=%{_localstatedir}/cache/httpd \
	--enable-module=all \
	--enable-shared=max \
	--enable-rule=EAPI \
	--disable-rule=WANTHSREGEX \
	--enable-module=auth_dbm \
	--with-perl=%{__perl} \
	--enable-suexec \
	--suexec-docroot=%{contentdir} \
%if %{piranha62}
	--suexec-uidmin=51 --suexec-gidmin=51 \
%endif
	--suexec-caller=%{suexec_caller}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install root=$RPM_BUILD_ROOT

# install SYSV init stuff
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 $RPM_SOURCE_DIR/httpd.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/httpd

# install log rotation stuff
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m644 $RPM_SOURCE_DIR/apache.logrotate \
	$RPM_BUILD_ROOT/etc/logrotate.d/apache

ln -s ../../var/log/httpd $RPM_BUILD_ROOT/etc/httpd/logs
ln -s ../../%{_libdir}/apache $RPM_BUILD_ROOT/etc/httpd/modules

install -m644 $RPM_SOURCE_DIR/apache-index.html \
        $RPM_BUILD_ROOT%{contentdir}/html/index.html
install -m644 $RPM_SOURCE_DIR/poweredby.png \
	$RPM_BUILD_ROOT%{contentdir}/html

# install Apache's default access and srm config files
install -m644 conf/access.conf-dist \
	$RPM_BUILD_ROOT/etc/httpd/conf/access.conf

install -m644 conf/srm.conf-dist \
	$RPM_BUILD_ROOT/etc/httpd/conf/srm.conf

# replace Apache's default config file with our patched version
install -m644 conf/httpd.conf \
	$RPM_BUILD_ROOT/etc/httpd/conf/httpd.conf

# modify perl scripts to call %{__perl}
find $RPM_BUILD_ROOT -type f | \
	xargs grep -l "/usr/local/bin/perl5" | \
	xargs perl -pi -e "s|/usr/local/bin/perl5|%{__perl}|g;"
find $RPM_BUILD_ROOT -type f | \
	xargs grep -l "/usr/local/bin/perl" | \
	xargs perl -pi -e "s|/usr/local/bin/perl|%{__perl}|g;"

# remove execute bits from CGIs
chmod -x cgi-bin/*

# fix up apxs so that it doesn't think it's in the build root
sed "s^$RPM_BUILD_ROOT^^g" $RPM_BUILD_ROOT%{_sbindir}/apxs > apxs.tmp && \
cat apxs.tmp > $RPM_BUILD_ROOT%{_sbindir}/apxs

# fixup the documentation file naming
find $RPM_BUILD_ROOT%{contentdir} -name "*.html.html" | xargs rename .html.html .html

# create a conf.d directory next to the regular one
install -m755 -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
# symlink from the conf.d directory to the historic location
ln -s ../conf/httpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d

# fixup the apachectl script to make it include stuff that's supposed
# to be passed to httpd, which is stripped out by the make install target
# when it corrects the server path
cp $RPM_BUILD_ROOT%{_sbindir}/apachectl $RPM_BUILD_ROOT%{_sbindir}/apachectl.opt
sed -e \
	's,^HTTPD=%{_sbindir}/httpd$,HTTPD="%{_sbindir}/httpd `moduleargs` $OPTIONS",g' <\
	$RPM_BUILD_ROOT%{_sbindir}/apachectl.opt >\
	$RPM_BUILD_ROOT%{_sbindir}/apachectl

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add httpd
# safely add .htm to mime types if it is not already there
[ -f %{_sysconfdir}/mime.types ] || exit 0
TEMPTYPES=`/bin/mktemp /tmp/mimetypes.XXXXXX`
[ -z "$TEMPTYPES" ] && {
  echo "could not make temporary file, htm not added to %{_sysconfdir}/mime.types" >&2
  exit 1
}
( grep -v "^text/html"  %{_sysconfdir}/mime.types
  types=$(grep "^text/html" %{_sysconfdir}/mime.types | cut -f2-)
  echo -en "text/html\t\t\t"
  for val in $types ; do
      if [ "$val" = "htm" ] ; then
          continue
      fi
      echo -n "$val "
  done
  echo "htm"
) > $TEMPTYPES
cat $TEMPTYPES > %{_sysconfdir}/mime.types && /bin/rm -f $TEMPTYPES

%pre
# Add the "apache" user
/usr/sbin/useradd -c "Apache" -u 48 \
	-s /bin/false -r -d /var/www apache 2> /dev/null || :

%preun
if [ $1 = 0 ]; then
	/sbin/service httpd stop > /dev/null 2>&1
	/sbin/chkconfig --del httpd
fi
  
%files
%defattr(-,root,root)
%doc ABOUT_APACHE Announcement KEYS LICENSE README cgi-bin
%dir %{_sysconfdir}/httpd
%dir %{_sysconfdir}/httpd/conf
#%dir %{_sysconfdir}/httpd/conf.d
#%config(noreplace) %{_sysconfdir}/httpd/conf.d/httpd.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/access.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/srm.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/httpd.conf
%config %{_sysconfdir}/httpd/conf/magic

%{_sysconfdir}/httpd/logs
%{_sysconfdir}/httpd/modules
%config %{_sysconfdir}/logrotate.d/apache
%config %{_sysconfdir}/rc.d/init.d/httpd

%dir %{contentdir}
%dir %{contentdir}/cgi-bin
%dir %{contentdir}/html
%config(noreplace) %{contentdir}/html/index.html
%{contentdir}/html/poweredby.png
%{contentdir}/icons

%dir %{_libdir}/apache
%{_libdir}/apache/httpd.exp
%{_libdir}/apache/*.so

%{_mandir}/man1/*
%{_mandir}/man8/ab.8*
%{_mandir}/man8/apachectl.8*
%{_mandir}/man8/httpd.8*
%{_mandir}/man8/logresolve.8*
%{_mandir}/man8/rotatelogs.8*
%{_mandir}/man8/suexec.8*
%{_sbindir}/ab
%{_sbindir}/apachectl
%{_sbindir}/httpd
%{_sbindir}/logresolve
%{_sbindir}/rotatelogs
%attr(4510,root,%{suexec_caller}) %{_sbindir}/suexec
%{_bindir}/*

%attr(0755,apache,root) %dir %{_localstatedir}/cache/httpd
%dir %{_localstatedir}/log/httpd

%files manual
%defattr(-,root,root)
%dir %{contentdir}/html/manual
%{contentdir}/html/manual/LICENSE
%{contentdir}/html/manual/*.html*
%{contentdir}/html/manual/howto
%{contentdir}/html/manual/images
%{contentdir}/html/manual/misc
%{contentdir}/html/manual/programs
%{contentdir}/html/manual/vhosts
%dir %{contentdir}/html/manual/mod
%{contentdir}/html/manual/mod/*.html
%attr(0700,root,root) %dir %{contentdir}/html/manual/search
%{contentdir}/html/manual/search/*

%files devel
%defattr(-,root,root)
%{_includedir}/apache
%{_sbindir}/apxs
%{_mandir}/man8/apxs.8*

%changelog
* Wed Oct 23 2002 Nalin Dahyabhai <nalin@redhat.com> 1.3.27-1.7.1
- update to eapi from mod_ssl 2.8.12
 
* Mon Oct  7 2002 Nalin Dahyabhai <nalin@redhat.com> 1.3.27-0.7.1
- update to 1.3.27
- drop phttpd support, per http://www.zabbo.net/phhttpd/ ("consider it dead")

* Thu Oct  3 2002 Nalin Dahyabhai <nalin@redhat.com> 1.3.22-6.7.1
- include more conservative chunked encoding fix
- include extracted fixes from 1.3.27

* Tue Jun 18 2002 Nalin Dahyabhai <nalin@redhat.com> 1.3.22-5.7.1
- backport chunked encoding fix from 1.3.26

* Thu Nov 15 2001 Nalin Dahyabhai <nalin@redhat.com> 1.3.22-1.7.1
- require mod_bandwidth, mod_put, mod_throttle

* Thu Nov  1 2001 Nalin Dahyabhai <nalin@redhat.com> 1.3.22-1.7
- change the init script so that it performs an old-style restart instead of
  calling apachectl (which causes the existing server to restart, which is the
  wrong thing to do if you restart after an RPM upgrade)

* Thu Oct 18 2001 Nalin Dahyabhai <nalin@redhat.com> 1.3.22-1
- changed to use /usr/share/magic.mime, require it by name (showed up in the
  version shipped in RHL 7.0)
- whoops, forgot to pull new sslcfg.patch from mod_ssl 2.8.5 (thanks to
  Bernhard Weihuhn for catching this)

* Tue Oct 16 2001 Nalin Dahyabhai <nalin@redhat.com>
- pull in eapi patch from mod_ssl 2.8.5

* Fri Oct 12 2001 Nalin Dahyabhai <nalin@redhat.com>
- patch apachectl to start httpd with the same args the init script does,
  so that we can include it again, and use it for certain functions from
  the init script
- use %%{suexec_caller} macro for the name of the user/group to install
  suexec for

* Fri Oct  5 2001 Nalin Dahyabhai <nalin@redhat.com>
- merge in the connect() prototype patch, which affects phhttpd patches
- adjust eapi patch from 1.3.20 to apply to the current version
- add build dep on expat-devel, which we can use instead of the bundled copy

* Wed Sep  5 2001 Nalin Dahyabhai <nalin@redhat.com> 1.3.20-16
- don't include the apxs manpage in the main package -- the binary is in
  the devel subpackage

* Thu Aug 23 2001 Nalin Dahyabhai <nalin@redhat.com>
- change SSL logging level from info to error

* Wed Aug 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- comment out some conflicting defaults added by the eapi patch
- define EAPI_CORE_MM_PATH to move the mm semaphore to %%{_localstatedir}/run (#49888)
- move the lock file from /var/lock to /var/run

* Tue Aug 14 2001 Nalin Dahyabhai <nalin@redhat.com>
- make sure module name logic in the init script is performed in the C locale
  (#51610)

* Fri Aug 10 2001 Nalin Dahyabhai <nalin@redhat.com>
- back out the configuration directory changes
- define SSL when we define HAVE_SSL

* Wed Aug  8 2001 Nalin Dahyabhai <nalin@redhat.com>
- change suexec docroot from %%{contentdir}/html to %%{contentdir} (suggested
  by Tuomo Soini)

* Mon Aug  6 2001 Nalin Dahyabhai <nalin@redhat.com>
- cleanup of awk syntax in init script (#47885)

* Wed Aug  1 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial use of configuration directory

* Tue Jul 24 2001 Nalin Dahyabhai <nalin@redhat.com>
- ditch hunk of config patch in favor of sslcfg.patch from mod_ssl

* Tue Jul 24 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- clarify connect() system call

* Mon Jul 23 2001 Nalin Dahyabhai <nalin@redhat.com>
- remove dependency on mod_ssl
- change the awk scriptlet in the init script to suppress a warning
- ensure that loaded modules are always used
- disable Includes by default under the document root

* Tue Jul 17 2001 Nalin Dahyabhai <nalin@redhat.com>
- change the prefix to the ServerRoot, leaving exec-prefix set to %%{_prefix}

* Mon Jul 16 2001 Nalin Dahyabhai <nalin@redhat.com>
- turn KeepAlive off, set MaxRequestsPerChild to 1000

* Fri Jul 13 2001 Nalin Dahyabhai <nalin@redhat.com>
- break out mod_ssl into its own package

* Mon Jul  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- remove piranha patch -- it's no longer necessary
- use environment variables instead of tweaking CFLAGS and LIBS

* Mon Jun 18 2001 Nalin Dahyabhai <nalin@redhat.com>
- enable SSL-related experimental code

* Thu Jun 14 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Wed Jun 13 2001 Trond Eivind Glomsrd <teg@redhat.com>
- link with pthreads, so it doesn't segfault when using modules linked with
  this library

* Tue May 29 2001 Nalin Dahyabhai <nalin@redhat.com>
- fixup the logrotate configuration file

* Mon May 21 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to apache 1.3.20 and mod_ssl 2.8.4
- break mod_bandwidth, mod_put, and mod_throttle out into their own packages

* Thu May 17 2001 Nalin Dahyabhai <nalin@redhat.com>
- link with -ldb instead of -ldb<version>
- license is not Apache Group License, but Apache Source License (noted
  by Joe Orton)
- pull in mod_ssl 2.8.3

* Wed Apr 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- set NameWidth=* by default

* Wed Apr  4 2001 Nalin Dahyabhai <nalin@redhat.com>
- only restart apache once, using modified logrotate config from bugzilla #34230

* Thu Mar 29 2001 Nalin Dahyabhai <nalin@redhat.com>
- run initlog without -q in the init script, so that mod_ssl can actually
  prompt for pass phrases properly

* Wed Mar 28 2001 Nalin Dahyabhai <nalin@redhat.com>
- use Apache's magic file instead of the system-wide file (revert #15895)
  (we need one to map files to mime types, not descriptive strings)
- supply Apache's magic file again
- add the translations of html pages and the howto and programs directories
  to the manual subpackage (#33673)
- change the default allow for the /doc alias to be localhost .localdomain
  (#33120)

* Thu Mar 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- fix extensions in the manual pages (#31919)

* Sat Mar  3 2001 Nalin Dahyabhai <nalin@redhat.com>
- update mod_ssl to 2.8.1

* Thu Mar  1 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.3.19 (#30874), mod_ssl snapshot 20010301

* Mon Feb 26 2001 Nalin Dahyabhai <nalin@redhat.com>
- conflict: with thttpd (#29383) (release 13, hmmm....)

* Fri Feb 23 2001 Nalin Dahyabhai <nalin@redhat.com>
- add a ghosted default session cache to the mod_ssl package
- add a default SSLSessionCache to the config file
- add commented-out loading for various modules
- change log format to 'combined'

* Thu Feb 22 2001 Nalin Dahyabhai <nalin@redhat.com>
- add mm so that we can use a shm-based SSLSessionCache

* Wed Feb 14 2001 Nalin Dahyabhai <nalin@redhat.com>
- tweak the gettext support in the init script (#24083)

* Thu Jan 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- own /etc/httpd (#24999)

* Tue Jan 23 2001 Nalin Dahyabhai <nalin@redhat.com>
- tweak the gettext support in the init script

* Tue Jan 16 2001 Nalin Dahyabhai <nalin@redhat.com>
- tweak the gettext support in the init script (#24083)

* Thu Jan 11 2001 Nalin Dahyabhai <nalin@redhat.com>
- incorporate Greg Kroah-Hartman's patch for temp file wackiness
- make distributed CGIs unaccessible (#20275)
- make suexec attr(04710,root,apache) (#20270)
- finish changing from %%{_var} to %%{_localstatedir} (#20269)
- don't use both DB 2.x and 3.x at the same time! (#22440)
- link mod_auth_dbm to db3 because dbmmanage creates db3 files
- gettextify the init script
- speed up the init script some
- add text docs to the main package
- change copyright: <some stuff> to license: Apache Group License

* Wed Jan 10 2001 Nalin Dahyabhai <nalin@redhat.com>
- rotate the ssl_request_log (#21227)

* Wed Dec  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- add db3-devel as a build req

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- disable by default in init script
- use -fPIC instead of -fpic when building

* Tue Oct 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- add db1-devel as a buildprereq (#19164)

* Wed Oct 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- apply fix for references in rewrite expansions from Tony Finch

* Sat Oct 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- pull in mod_ssl 2.7.1
- remove Epoch: (version with it was never distributed)

* Thu Oct 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.3.14 to get security fixes
- patch mod_ssl to apply cleanly to 1.3.14
- add Epoch: 1 to mod_ssl so that it'll upgrade over a Raw Hide 2.6.6-26
- add workaround for db1 linkage under newer glibc (from Ralf(?))

* Wed Oct  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- change localstatedir from %%{_var} to %%{_localstatedir}
- move runtimedir from %%{_var}/httpd to %%{_localstatedir}/run
- change logfiledir from %%{_var}/log/httpd to %%{_localstatedir}/log/httpd
- change proxycachedir from %%{_var}/cache/httpd to %%{_localstatedir}/cache/httpd

* Wed Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix mod_ssl package's version
- generate keys more quickly by using files from /proc instead of /dev/mem
- make mod_ssl require Apache %%{version}-%%{release} specifically

* Tue Aug 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- change <Location /> to <Directory /var/www/html> (#16196)
- build suexec with user apache (#16188)
- change owner of cache directory to "apache"

* Mon Aug 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- use the default magic file instead of Apache's (again) (#15895)
- update to mod_ssl 2.6.6 -- "Segfault fixes! Upgrade, please."

* Mon Aug 07 2000 Nalin Dahyabhai <nalin@redhat.com>
- enable mod_auth, mod_auth_anon, mod_auth_db modules by default like 6.2

* Sun Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- more fully-formed useradd invocation

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix ServerToken vs signature string bug (#13678)

* Fri Jul  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix config file for change from <Directory (DocumentRoot)> to <Location />
- tighten up permissions on SSL configuration files
- build default SSL certificate at install-time

* Thu Jul  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- change initscripts dependency to /etc/init.d

* Wed Jul  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- stop trying to detect weird upgrade scenarios and mucking with document roots
- update to mod_ssl 2.6.5

* Mon Jul  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- only change the document root if we found an old installation

* Sun Jul  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- take another shot at fixing tty handling
- force LANG to "C" in the init script until glibc's locale support gets fixed
- integrate new EAPI patch with phttpd patch
- remove condrestart from post and postuns

* Sat Jul  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- switch to the "apache" user
- fix tty handling when prompting for pass-phrases in mod_ssl

* Fri Jun 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweak graceful restarting code in the init script to return error codes

* Thu Jun 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- link to the makefile from openssl for certificate-creation

* Wed Jun 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- support for smooth upgrades
- move init script to /etc/init.d

* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild to pull in the newly-corrected dependencies

* Fri Jun 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix syntax error introduced in init script

* Thu Jun 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- init script: add condrestart

* Thu Jun  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- modified logrotate configuration file to use /var/run/httpd.pid, so don't
  move it to another directory!

* Sun Jun  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- rework packaged module behavior
- move document root from /home/httpd to /var/www with fixups in %%post
- FHS fixes

* Wed Mar 01 2000 Nalin Dahyabhai <nalin@redhat.com>
- make suexec limit UIDs and GIDs to < 51 instead of 100

* Fri Feb 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.3.12
- add EAPI patch

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- ifmodule directive for php stuff.
- load mod_perl before mod_php (#8169)

* Tue Feb 14 2000 Zach Brown <zab@redhat.com>
- minor fix to phhttpd patch

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- improved default index.html.

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- strip dynamically loadable modules.

* Mon Feb 02 2000 Zach Brown <zab@redhat.com>
- add phhttpd 'Tunnel' directive and code to use it

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix depenencies

* Tue Jan 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.3.11
- deal with the fact that RPM now gzips man pages

* Wed Jan 12 2000 Preston Brown <pbrown@redhat.com>
- new poweredby.png w/new logo
- apxs.8 man page moved to devel archive (#6661)
- don't remove old logfiles on package de-install (#8268)
- more updates to logrotate to avoid spurious cron mail (#8110)

* Mon Jan 10 2000 Preston Brown <pbrown@redhat.com>
- mod_throttle added; mod_bandwidth updated.

* Mon Dec 17 1999 Dale Lovelace <dale@redhat.com>
- Add configuration for mod_put to httpd.conf

* Mon Dec 06 1999 Preston Brown <pbrown@redhat.com>
- documentation cleanups in httpd.conf (#5357, #6655)
- fixed logrotate script to ignore error if no apache running (#7074)

* Wed Nov 10 1999 Jeff Johnson <jbj@redhat.com>
- add put module.

* Thu Nov 04 1999 Preston Brown <pbrown@redhat.com>
- make suexec non-suid.  People can enable it if they wish themselves.
- somehow the unified httpd.conf got trashed.  fixed.
- manual is now a subpackage
- point to /usr/share/magic as the magic file location; don't use the
  apache-specific one.
- fix apxs module installation issues (#5650)

* Tue Sep 21 1999 Bill Nottingham <notting@redhat.com>
- move DSO in httpd.conf to after ServerRoot

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- it is httpd stop, not httpsd stop (# 5254)
- suexec added (# 5257)

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- remove apachectl man page (# 4459)

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.3.9
- fix bug # 3680 (suexec docroot was wrong)
- fix bug # 2378 (logrotate with -USR1 not -HUP)
- fix bug # 3548 (logrotate complains if apache not running)
- httpd.conf is now in the unified apache format as distributed

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sat May 21 1999 Bill Nottingham <notting@redhat.com>
- fix broken link in index.html

* Wed Apr 07 1999 Bill Nottingham <notting@redhat.com>
- allow indexes in /doc

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- prerequire /bin/rm, added /doc path pointing to /usr/doc for localhost

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- updated log rotating scripts to not complain if logs aren't present.

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- fixed up path to perl

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- updated init script to conform to new standards
- upgraded to 1.3.6, fixed apxs patch

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- clean up logfiles on deinstallation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Mar 12 1999 Cristian Gafton <gafton@redhat.com>
- added mod_bandwidth
- updated to 1.3.4
- prereq mailcap

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- added patch to disable building support for ndbm
- build against glibc 2.1

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.3.3 to catch up with bug fixes
- added the /usr/bin/* binaries to the spec file list

* Fri Sep 25 1998 Cristian Gafton <gafton@redhat.com>
- change ownership of cache dir to nobody
- added "Red Hat" to the server string
- updated to version 1.3.2
- fixed all references to httpsd in config files

* Fri Sep 04 1998 Cristian Gafton <gafton@redhat.com>
- small fixes to the spec file
- patch to handle correctly the -d <newroot> option
- leave out the .usr.src.apache_%{version} for now

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- patched apxs not to bomb out if it can't find httpd

* Wed Sep 02 1998 Preston Brown <pbrown@redhat.com>
- upgraded to apache 1.3.1.
- Heavy rewrite.
- changed providing a_web_server to just webserver.  Humor is not an option.

* Mon Aug 10 1998 Erik Troan <ewt@redhat.com>
- updated to build as non-root user
- added patch to defeat header dos attack

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- fixed the default config files to be more paranoid about security

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- fixed init script
- added index.htm to the list of acceptable indexes

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.2.6
- added post script to install htm extension for text/html into
  /etc/mime.types

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced sysv init script

* Tue Jan 06 1998 Erik Troan <ewt@redhat.com>
- updated to 1.2.5, which includes many security fixes

* Wed Dec 31 1997 Otto Hammersmith <otto@redhat.com>
- fixed overkill on http.init stop

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- added patch for backslash DOS attach

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>
- added htdigest binary to file list

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- made the default index.html be config(noreplace) so we no longer
  blow away other folks' index.html

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- added restart|status options to initscript
- renamed httpd.init to httpd

* Tue Oct 07 1997 Elliot Lee <sopwith@redhat.com>
- Redid spec file, patches, etc. from scratch.
